petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoSetObjectiveAndGradientRoutine

Sets a combined objective function and gradient evaluation routine for minimization

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetObjectiveAndGradientRoutine(Tao tao, PetscErrorCode (*func)(Tao, Vec, PetscReal *, Vec, void*), void *ctx)

Logically collective on Tao

### Input Parameter

| tao | - the Tao context
| func | - the gradient function
| ctx | - [optional] user-defined context for private data for the gradient evaluation routine (may be NULL)

### Calling sequence of func

         func (Tao tao, Vec x, PetscReal *f, Vec g, void *ctx);

| x | - input vector
| f | - objective value (output)
| g | - gradient value (output)
| ctx | - [optional] user-defined function context

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

Level:beginner
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/constrained/examples/tutorials/maros.c.html